package com.op.wms.service;

import java.util.List;
import com.op.wms.domain.SysMachinery;

/**
 * 机台管理Service接口
 * 
 * @author Open Platform
 * @date 2023-07-18
 */
public interface ISysMachineryService {
	/**
	 * 查询机台管理
	 * 
	 * @param machineryId 机台管理主键
	 * @return 机台管理
	 */
	public SysMachinery selectSysMachineryByMachineryId(Long machineryId);

	/**
	 * 查询机台管理列表
	 * 
	 * @param sysMachinery 机台管理
	 * @return 机台管理集合
	 */
	public List<SysMachinery> selectSysMachineryList(SysMachinery sysMachinery);

	/**
	 * 新增机台管理
	 * 
	 * @param sysMachinery 机台管理
	 * @return 结果
	 */
	public int insertSysMachinery(SysMachinery sysMachinery);

	/**
	 * 修改机台管理
	 * 
	 * @param sysMachinery 机台管理
	 * @return 结果
	 */
	public int updateSysMachinery(SysMachinery sysMachinery);

	/**
	 * 批量删除机台管理
	 * 
	 * @param machineryIds 需要删除的机台管理主键集合
	 * @return 结果
	 */
	public int deleteSysMachineryByMachineryIds(Long[] machineryIds);

	/**
	 * 删除机台管理信息
	 * 
	 * @param machineryId 机台管理主键
	 * @return 结果
	 */
	public int deleteSysMachineryByMachineryId(Long machineryId);
}
